
Foreman - Bug #1171

support sha512 password hashing in RHEL6 / CentOS6

09/17/2011 11:53 AM - Jeff Palmer

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, foreman doesn't support the "default" hashing algo used by RHEL6.

If you use the following line in your kickstart:

authconfig  --useshadow  --passalgo=sha512

The resulting encrypted path will not be using sha512,  which means you'll get authentication errors when the host is provisioned.

My workaround right now,  is to NOT let foreman encrypt the passwords.

I have foreman set the initial password to "password" (in plaintext)

rootpw password

And then on the first puppet run,  I have a module that changes the password to what it should be,  using SHA512.

Related issues:

Is duplicate of Foreman - Feature #2127: Support newer hash schemes for root ... Closed 01/15/2013

History

#1 - 09/19/2011 09:48 AM - Ohad Levy

- Target version deleted (0.4)

#2 - 01/29/2012 07:28 AM - Ohad Levy

I'm not sure I could reproduce this (e.g. it works with the default templates just fine), what am I missing?

#3 - 01/15/2013 11:13 AM - Benjamin Papillon

This ticket will be solved when #2127 will be closed

#4 - 01/15/2013 11:14 AM - Benjamin Papillon

- Status changed from New to Duplicate
